Name:           u3-tool
Summary:        U3 Smart Drive USB Flash Disk Control Tool
Version:        0.3
Release:        %mkrel 8
Source0:        http://downloads.sourceforge.net/project/u3-tool/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         u3-tool-0.3-fix-libusb-linkage.patch
Patch1:         u3-tool-0.3-libusb-fixes.patch
Patch2:         u3-tool-0.3-print-size.patch
Patch3:         u3-tool-0.3-usb-ids.patch
URL:            http://u3-tool.sourceforge.net/
Group:          System/Configuration
License:        GPLv2+

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool


%description
Tool for controlling USB flash devices that confirm to the U3
specifications. This program can control the following features:

* Replacing of CD image
* Changing of virtual CD allocated size and completely removing it
* Enabling and disabling Security
* Unlocking and changing password of secured U3 device
* Obtaining various device information


%prep
%setup -q -n %{name}-%{version}
%autopatch -p0


%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS COPYING
%{_sbindir}/u3-tool
%{_mandir}/man1/u3-tool.1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3-8.mga8
+ Revision: 1517531
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3-7.mga7
+ Revision: 1301485
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 0.3-6.mga7
+ Revision: 1242852
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.3-5.mga6
+ Revision: 947982
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-4.mga5
+ Revision: 749996
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-3.mga5
+ Revision: 690006
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3-2.mga4
+ Revision: 527781
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tarakbumba <tarakbumba> 0.3-1.mga4
+ Revision: 442235
- imported package u3-tool

